Skip to main content
GET
/
sources
/
{sourceKey}
/
v1
/
collections
/
{collectionKey}
Get a Collection from the registry
curl --request GET \
  --url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/collections/{collectionKey} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "key": "<string>",
  "profile": {
    "properties": {},
    "key": "<string>",
    "description": "<string>",
    "contained": {}
  },
  "pipeline": {
    "steps": [
      {
        "vectorizer": {
          "inputProperty": "content.passages",
          "propertyKey": "vector",
          "modelId": "text-embedding-004",
          "dimensions": 768,
          "propertyDescription": "The vectorized content"
        },
        "trigger": {
          "operator": {
            "and": "<array>",
            "id": "<string>"
          }
        }
      }
    ],
    "id": "<string>"
  }
}

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The key of the source.

collectionKey
string
required

The key of the collection. The collection key is shared with the profile key or relationship definition key. A collection is a container for searchable documents, either resources or relationships. It may also contain an ingestion pipeline that specifies additional processing of the documents.

Response

The collection with the given key.

type
enum<string>
required

The type of the collection.

Available options:
resources,
relationships
key
string
required
read-only

The key of the collection.

profile
object
required

The profile of the collection.

pipeline
object

The ingestion pipeline of the collection.